/*********************************************************************************
 ** This file is part of QtContacts tracker storage plugin
 **
 ** Copyright (c) 2009-2011 Nokia Corporation and/or its subsidiary(-ies).
 **
 ** Contact:  Nokia Corporation (info@qt.nokia.com)
 **
 ** GNU Lesser General Public License Usage
 ** This file may be used under the terms of the GNU Lesser General Public License
 ** version 2.1 as published by the Free Software Foundation and appearing in the
 ** file LICENSE.LGPL included in the packaging of this file.  Please review the
 ** following information to ensure the GNU Lesser General Public License version
 ** 2.1 requirements will be met:
 ** http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 **
 ** In addition, as a special exception, Nokia gives you certain additional rights.
 ** These rights are described in the Nokia Qt LGPL Exception version 1.1, included
 ** in the file LGPL_EXCEPTION.txt in this package.
 **
 ** Other Usage
 ** Alternatively, this file may be used in accordance with the terms and
 ** conditions contained in a signed written agreement between you and Nokia.
 *********************************************************************************/

#include "qcontacttrackerengineemulatedv2.h"

QContactTrackerEngineEmulatedV2::QContactTrackerEngineEmulatedV2()
    : QContactTrackerEngine(QMap<QString, QString>())
{
}

QString QContactTrackerEngineEmulatedV2::managerName() const
{
    return QContactTrackerEngine::managerName();
}

int QContactTrackerEngineEmulatedV2::managerVersion() const
{
    return QContactTrackerEngine::managerVersion();
}

bool QContactTrackerEngineEmulatedV2::saveContacts(QList<QContact> *contacts, ErrorMap *errorMap,
                                                   QContactManager::Error* error)
{
    return QContactTrackerEngine::saveContacts(contacts, errorMap, error);
}

QContact QContactTrackerEngineEmulatedV2::contact(const QContactLocalId& contactId,
                                                  const QContactFetchHint& fetchHint,
                                                  QContactManager::Error* error) const
{
    return QContactTrackerEngine::contact(contactId,fetchHint,error);
}

QList<QContact> QContactTrackerEngineEmulatedV2::contacts(const QContactFilter& filter,
                                                          const QList<QContactSortOrder>& sortOrders,
                                                          const QContactFetchHint& fetchHint,
                                                          QContactManager::Error *error) const {
    return QContactTrackerEngine::contacts(filter, sortOrders, fetchHint, error);
}
